Bug 436358 - ctest gets NightlyStartTime value wrong
ctest gets NightlyStartTime value wrong
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cmake (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-06 14:04 EST by Frank Sweetser
Modified: 2008-06-26 04:31 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4.8-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 04:31:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample report with incorrect BuildStamp (441 bytes, text/xml)
2008-03-06 14:04 EST, Frank Sweetser
no flags Details
ctest 2.4.8 on fedora with incorrect buildstamp (472 bytes, text/xml)
2008-03-06 22:56 EST, Frank Sweetser
no flags Details
ctest 2.4.8 on freebsd with correct buildstamp (457 bytes, text/xml)
2008-03-06 22:57 EST, Frank Sweetser
no flags Details
ctest dashboard configuration (365 bytes, text/plain)
2008-03-07 13:12 EST, Frank Sweetser
no flags Details
ctest -V -D Nightly output (48.10 KB, text/plain)
2008-03-13 12:00 EDT, Frank Sweetser
no flags Details

  None (edit)
Description Frank Sweetser 2008-03-06 14:04:45 EST
When you tell ctest to perform a Nightly test (-D Nightly), it is supposed to
use the NightlyStartTime parameter in the DartConfiguration.tcl file to
normalize the start times, to ensure that all nightly runs get submitted to the
dashboard with a consistent time.  Specifically, the reported time is supposed
to be set to the most recently occurring instance of NightlyStartTime.

So, for example, if NightlyStartTime is set to 9pm EST, and a build was started
at 1am EST on a Wednesday, the build should be reported to the dashboard with an
official start time of 9pm Tuesday.

Instead, what is happening is the build timestamp is being set to a value of
23:59 GMT, or 18:59 EST.  I've attached a sample output XML file from such a
run, with NightlyStartTime set to '21:00:00 EST', but I've tried numerous other
values (both different time values and different timezones, including GMT). 
Regardless of how I configure it, the BuildStamp element always has a time value
of 23:59 UTC.

This is with cmake-2.4.7-3.fc8
Comment 1 Frank Sweetser 2008-03-06 14:04:45 EST
Created attachment 297086 [details]
Sample report with incorrect BuildStamp
Comment 2 Orion Poplawski 2008-03-06 14:09:00 EST
Please test with 2.4.8 that has just been pushed.  If it is still a problem,
this really needs to get reported upstream.
Comment 3 Frank Sweetser 2008-03-06 14:14:45 EST
Will do - is this update in fedora 8 updates, or should I grab the build from
fedora 9 alpha?
Comment 4 Orion Poplawski 2008-03-06 15:04:11 EST
F8 updates - just got released today.
Comment 5 Frank Sweetser 2008-03-06 22:55:27 EST
Okay, I installed cmake-2.4.8-1.fc8 and tried again.  The results were identical.

In addition, I was able to get a sample XML results file from another user,
using ctest 2.4.8 on FreeBSD, and identical configuration files.  On that
system, the BuildStamp value was generated correctly.
Comment 6 Frank Sweetser 2008-03-06 22:56:35 EST
Created attachment 297138 [details]
ctest 2.4.8 on fedora with incorrect buildstamp
Comment 7 Frank Sweetser 2008-03-06 22:57:09 EST
Created attachment 297139 [details]
ctest 2.4.8 on freebsd with correct buildstamp
Comment 8 Orion Poplawski 2008-03-07 12:44:23 EST
I'm afraid I have no experience with ctest -D and Dart.  Could you attach a
sample DartConfiguration.tcl?
Comment 9 Frank Sweetser 2008-03-07 13:11:39 EST
Sure.  The simplest way to generate a file is

ctest -D NightlyConfigure

The output files will be created as Testing/<build stamp>/*.xml
Comment 10 Frank Sweetser 2008-03-07 13:12:50 EST
Created attachment 297234 [details]
ctest dashboard configuration
Comment 11 Orion Poplawski 2008-03-13 11:42:18 EDT
According to the cmake folks, the directory this is run in needs to be a CVS/svn
checked out directory.  Is that the case?  Can you attach the output of "ctest
-V -D Nightly"?
Comment 12 Frank Sweetser 2008-03-13 12:00:24 EDT
Created attachment 297951 [details]
ctest -V -D Nightly output
Comment 13 Frank Sweetser 2008-03-13 12:53:21 EDT
Just to clarify, you can see the problem in these lines:

Determine Nightly Start Time
   Specified time: 21:00:00 EST
Create new tag: 20080312-2359 - Nightly

The nightly start time of 21:00:00 EST matches the config file, but the tag is
then generated with a timestamp that doesn't match.
Comment 14 Orion Poplawski 2008-06-05 16:17:37 EDT
Upstream bug: http://public.kitware.com/Bug/view.php?id=6583
Comment 15 Fedora Update System 2008-06-06 03:49:01 EDT
cmake-2.4.8-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cmake'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5015
Comment 16 Frank Sweetser 2008-06-06 08:29:00 EDT
That version fixes the problem for me.

Thanks!
Comment 17 Fedora Update System 2008-06-26 04:31:37 EDT
cmake-2.4.8-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.